List account shares
Lists all account shares.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Accepted Permissions (at least one required)
Query Parameters
Page number. Defaults to 1 when per_page is supplied without
page. May be omitted entirely along with per_page to receive a
non-paginated response.
Number of objects to return per page. Defaults to 20 when page is supplied without per_page. May be omitted entirely along with page to receive a non-paginated response.
Filter shares by tag. Each value is either key=value (matches shares whose tags contain that key/value pair) or key alone (matches shares that have any value for that key). May be repeated; multiple tag parameters are ANDed together. Maximum 20 tag parameters per request.
List account shares
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/shares \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"id": "3fd85f74b32742f1bff64a85009dda07",
"account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"account_name": "Account A",
"created": "2023-09-21T18:56:32.624632Z",
"modified": "2023-09-21T18:56:32.624632Z",
"name": "My Shared WAF Managed Rule",
"organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
"status": "active",
"target_type": "account",
"associated_recipient_count": 10,
"associating_recipient_count": 1,
"disassociated_recipient_count": 0,
"disassociating_recipient_count": 0,
"kind": "sent",
"resources": [
{
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"created": "2023-09-21T18:56:32.624632Z",
"meta": {},
"modified": "2023-09-21T18:56:32.624632Z",
"resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_type": "custom-ruleset",
"resource_version": 0,
"status": "active"
}
]
}
],
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000,
"total_pages": 50
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"id": "3fd85f74b32742f1bff64a85009dda07",
"account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"account_name": "Account A",
"created": "2023-09-21T18:56:32.624632Z",
"modified": "2023-09-21T18:56:32.624632Z",
"name": "My Shared WAF Managed Rule",
"organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
"status": "active",
"target_type": "account",
"associated_recipient_count": 10,
"associating_recipient_count": 1,
"disassociated_recipient_count": 0,
"disassociating_recipient_count": 0,
"kind": "sent",
"resources": [
{
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"created": "2023-09-21T18:56:32.624632Z",
"meta": {},
"modified": "2023-09-21T18:56:32.624632Z",
"resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_type": "custom-ruleset",
"resource_version": 0,
"status": "active"
}
]
}
],
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000,
"total_pages": 50
}
}